This queue is for tickets about the CGI-Session CPAN distribution.

Report information
The Basics
Id:
14717
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
m.pitzl [...] gmx.de
Cc:
AdminCc:

BugTracker
Severity:
Important
Broken in:
3.95
Fixed in:
(no value)



Subject: CGI::Session doesn't work with tainted mode
When using Perl's tainted mode CGI::Session is killed with following message: Insecure dependency in eval while running with -T switch at /usr/local/share/perl/5.6.1/CGI/Session.pm line 98. I took a look onto line 98 and there's an eval for loading the correct driver module: my $driver = "CGI::Session::$self->{_API_3}->{DRIVER}"; eval "require $driver" or die $@; I'm working with Perl 5.6.1 under Debian Linux (Woody).
On Fri Sep 23 05:00:43 2005, guest wrote:
Show quoted text
> When using Perl's tainted mode CGI::Session is killed with following > message: > Insecure dependency in eval while running with -T switch at > /usr/local/share/perl/5.6.1/CGI/Session.pm line 98. > > I took a look onto line 98 and there's an eval for loading the
correct
Show quoted text
> driver module: > my $driver = "CGI::Session::$self->{_API_3}->{DRIVER}"; > eval "require $driver" or die $@; > > I'm working with Perl 5.6.1 under Debian Linux (Woody).
Tests seem to run OK under taint mode with the current 4.05 version: perl -T -I./lib t/g4.t So I'm resolving this ticket now. Please re-open it if you still notice an issue with the current version. Thanks! Mark


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.